Name:           python-pait
Version:        1.1.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Pait is a Python api tool. Pait enables your Python web framework to have type checking, parameter type conversion, interface document generation and can display your documents through Redoc or Swagger (power by inspect, pydantic)

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/so1n/pait
Source:         %{pypi_source pait}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'pait' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-pait
Summary:        %{summary}

%description -n python3-pait %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-pait all,multipart,redis,streaming-form-data


%prep
%autosetup -p1 -n pait-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x all,multipart,redis,streaming-form-data


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-pait -f %{pyproject_files}


%changelog
%autochangelog